VSTGUI 4.10 Graphical User Interface Framework not only for VST plugins

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
DragDescription Struct Reference
New classes » Version 4.7

Drag description. More...

`#include <dragging.h>`

## Public Member Functions
| DragDescription (const SharedPointer< IDataPackage > &data, CPoint bitmapOffset=CPoint(), const SharedPointer< CBitmap > &bitmap=nullptr)

## Public Attributes
SharedPointer< IDataPackage > | data
SharedPointer< CBitmap > | bitmap
CPoint | bitmapOffset

## Detailed Description

Drag description.

## Constructor & Destructor Documentation

## ◆ DragDescription()

DragDescription | ( | const SharedPointer< IDataPackage > & | data,
|  | CPoint | bitmapOffset = CPoint (),
|  | const SharedPointer< CBitmap > & | bitmap = nullptr )
| inline explicit

## Member Data Documentation

## ◆ bitmap

SharedPointer<CBitmap> bitmap

## ◆ bitmapOffset

CPoint bitmapOffset

## ◆ data

SharedPointer<IDataPackage> data

The documentation for this struct was generated from the following file:

- dragging.h